MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002681KdenliveUser Interfacepublic2012-07-15 18:402014-12-21 07:10
ReporterRucent88 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSUbuntuOS Version12.04
Product Version0.8.2.1 
Target VersionFixed in VersionRecent git 
Summary0002681: Simple cutting of unwanted video pieces
DescriptionUsing kdenlive to remove many cuts from video is very cumbersome. Removing "um
s and "uh"s and dead air space, editing something like a simple tutorial can be a very tedious task.

To remove just one little bit of video currently takes a minimum 9 step process.
-Select track
-Set end cutting point
-Cut clip (shift+R)
-Set start cutting point
-Cut clip (shift+R)
-Select portion to delete
-Press delete
-Right-click in empty area
-Click "remove space"


I would like to put in a feature request for the ability to
-click-drag a section of video
-press delete
-have that portion of video removed
-have the remaining space collapsed by surrounding video
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0009584)
Rawmania (reporter)
2013-07-08 15:29

Exactly the problem I'm experiencing. Lightworks does this a lot better.

My issue is 0003137.
(0009586)
Rucent88 (reporter)
2013-07-08 15:52

Yes. Sadly, even the old defunct Cinellera editor made this easy.
(0009602)
samoos (reporter)
2013-09-04 10:22

upvote upvote upvote!
This is copy + pasted from my reply on the forum, just for some clarity on how this should work. This in my opinion is the #1 missing feature in kdenlive. It's just the most basic, efficient workflow for video editing:


There's currently no 'ripple delete' functionality in Kdenlive ('ripple delete' is what it's called in Final Cut and Premiere).
This is the quickest method I've found (still slow compared to proprietary NLEs).
let's say we want to remove 'DE' from the following clip:

ABCDEFGH
Navigate (use J, K, L) to D
Click the track(s) you want to cut
Shift+R to cut
Navigate (use J, K, L) to F
hit 1 to set clip DEFGH's In Point to the current frame (F)
ABC FGH
hit your shortcut for the 'spacer' tool (mine is set to T
Click in the gap and drag everything to the left.
ABCFGH

it's faster than messing about with the scissors tool, but a lot slower than traditional 3-point editing in the timeline, which in FCP is just:
ABCDEFGH
Navigate (use J, K, L) to D
I to set In Point
Navigate (use J, K, L)to F
O to set Out Point
Delete/Remove to Ripple Delete.
ABCFGH

(with most NLEs the default would be that everything in all unlocked tracks within this selected zone would be ripple deleted)
(0010467)
samoos (reporter)
2014-11-11 00:34

I've posted in the forum with more detail on this feature (https://forum.kde.org/viewtopic.php?f=265&t=123280 [^])
and I'm also offering a $150/€120 bounty to encourage ripple edit implementation in Kdenlive (https://forum.kde.org/viewtopic.php?f=279&t=123601 [^])
(0010549)
ttguy (updater)
2014-12-21 07:08
edited on: 2014-12-21 07:09

git commit 2c80301 ~19Dec2014 by Steve Guilford implemented a Ripple Delete. Select in and out points in the project monitor and hit Ctl-X. The feature works nicely. I hope you paid him samoos ;-)


- Issue History
Date Modified Username Field Change
2012-07-15 18:40 Rucent88 New Issue
2013-07-08 15:29 Rawmania Note Added: 0009584
2013-07-08 15:52 Rucent88 Note Added: 0009586
2013-09-04 10:22 samoos Note Added: 0009602
2014-11-11 00:34 samoos Note Added: 0010467
2014-12-21 07:08 ttguy Note Added: 0010549
2014-12-21 07:09 ttguy Note Edited: 0010549 View Revisions
2014-12-21 07:10 ttguy Status new => resolved
2014-12-21 07:10 ttguy Resolution open => fixed
2014-12-21 07:10 ttguy Fixed in Version => Recent git


Copyright © 2000 - 2016 MantisBT Team
Powered by Mantis Bugtracker